Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232423 - Review Request: perl-Class-Std - Support for creating standard "inside-out" classes
Summary: Review Request: perl-Class-Std - Support for creating standard "inside-out" c...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-15 14:03 UTC by Andreas Thienemann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-23 17:06:36 UTC
panemade: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Andreas Thienemann 2007-03-15 14:03:21 UTC
Spec URL: http://home.bawue.de/~ixs/perl-Class-Std/perl-Class-Std.spec
SRPM URL: http://home.bawue.de/~ixs/perl-Class-Std/perl-Class-Std-0.0.8-1.src.rpm
Description:
This module provides tools that help to implement the "inside out object"
class structure in a convenient and standard way.

Comment 1 Parag AN(पराग) 2007-03-23 11:50:32 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
dc01fecfc8d5886e41d2e8bc2f29a7a2  Class-Std-v0.0.8.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test is Successful.
t/00.load..............# Testing Class::Std v0.0.8
ok
t/access...............ok
t/access_automethod....ok
t/access_name..........ok
t/automethod...........ok
t/begin-coercion.......ok
t/coercions............ok
t/cumulative...........ok
t/dump.................ok
t/perlattrs............ok
t/pod-coverage.........ok
t/pod..................ok
t/runtime..............ok
t/simple...............ok
t/start................ok
All tests successful.
Files=15, Tests=276,  2 wallclock secs ( 0.99 cusr +  0.19 csys =  1.18 CPU)
+ Provides: perl(Class::Std) perl(Class::Std::SCR)

APPROVED.


Comment 2 Andreas Thienemann 2007-03-23 14:15:42 UTC
New Package CVS Request
=======================
Package Name: perl-Class-Std
Short Description: Support for creating standard "inside-out" classes
Owners: andreas@bawue.net
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com

Comment 3 Andreas Thienemann 2007-03-23 17:06:36 UTC
Thx for the review. Package has been built for devel, FC-5 and FC-6.
Closing as NEXTRELEASE.


Note You need to log in before you can comment on or make changes to this bug.